********************************************************
*Define color palettes

	// link to line style options: https://www.stata.com/manuals/g-3fcline_options.pdf

**************
*Lpolys

		capture program drop colorpalette_localpoly
	program colorpalette_localpoly
	c_local P #5c2a66, #d6425c, #ffa600, #7aa21b, #d6425c
	c_local I des1, des2, des3, des4, des5
	end 
		
	*colorpalette localpoly
	
**************
*Blue, green, yellow
	capture program drop colorpalette_default
	program colorpalette_default
	c_local P #00364e, #7aa21b, #ffa600,  #d6425c, #5c2a66, #C6D4E1*1.5, #d95f02, #008557, #005e6a
	c_local I des1, des2, des3, des4, des5, desc6, desc7
	end 
	*colorpalette default
	
**************
*Kdensities
	capture program drop colorpalette_density
	program colorpalette_density
	c_local P #d95f02, #7570b3
	c_local I des1, des2
	end 

**************
*Color ramps
		capture program drop colorpalette_ramp
	program colorpalette_ramp
	c_local P #2a4858, #235766, #1a6771, #167677, #238679, #3b9477, #58a272, #79af6a, #9cba64, #c3c360
	c_local I des1, des2, des3, des4, des5
	end 
	
		capture program drop colorpalette_rampshort
	program colorpalette_rampshort
	c_local P #fafa6e, #86d780, #23aa8f, #007882, #2a4858
	c_local I des1, des2, des3, des4, des5
	end 

******************
*Coefplots
		capture program drop colorpalette_coefplot
	program colorpalette_coefplot
	c_local P #00364e, #C6D4E1*1.5, #f1a340,  #d6425c, #7aa21b, #5c2a66
	c_local I des1, des2, des3, desc4
	end 
