*******************************************************************************
*
*Load required data into frames
*
*******************************************************************************

frames reset


			
		*************************************************
		*Monthly firm panel
		*************************************************
			
			frame create monthly_firms
			frame change monthly_firms
			
		use "$data/Comprehensive_panel/Comprehensive_firm_panel_monthly.dta", clear
					
		*************************************************
		* Customs data 
		*************************************************

		*=======
		*Imports
			
			frame create customs_imports
			frame change customs_imports
			
			use "$data/Customs/Imports_product_details_cleaned.dta", clear	
		
		*=======
		*Exports
		
			frame create customs_exports
			frame change customs_exports
			
			use "$data/Customs/Exports_product_details_cleaned.dta", clear	
			
		
		*************************************************
		* UN Comtrade  
		*************************************************

				frame create UNComtrade_shock_monthly
				frame change UNComtrade_shock_monthly
				
				use "$data/Customs/UN_Comtrade_monthly/UN_Comtrade_monthly_HS4_woKenya_final.dta", clear 
			
			
		
		*************************************************
		*Create frame for final data set
		*************************************************

		frame create final_IV_monthly
		
